.TH wxMenu 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxMenu \- See external documentation: wxMenu\&.
.SH DESCRIPTION
.LP
See external documentation: wxMenu <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxMenu()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxMenu()
.br
.RS
.LP
Equivalent to new([])\&.
.RE
.LP
.B
new(Options::[Option]) -> wxMenu()
.br
.RS
.TP
Types
Option = {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuwxmenu>\&.
.RE
.LP
.B
new(Title::string(), Options::[Option]) -> wxMenu()
.br
.RS
.TP
Types
Option = {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuwxmenu>\&.
.RE
.LP
.B
append(This::wxMenu(), Item::wxMenuItem() (see module wxMenuItem)) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuappend>\&.
.RE
.LP
.B
append(This::wxMenu(), Itemid::integer(), Text::string()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
Equivalent to append(This, Itemid, Text, [])\&.
.RE
.LP
.B
append(This::wxMenu(), Itemid::integer(), Text::string(), X::wxMenu() | term()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuappend>\&. 
.br
 Alternatives: 
.LP
\fI append(This::wxMenu(), Itemid::integer(), Text::string(), Submenu::wxMenu()) -> append(This, Itemid, Text, Submenu, []) \fR
.LP
\fI append(This::wxMenu(), Itemid::integer(), Text::string(), [Option]) -> wxMenuItem:wxMenuItem() \fR 
.br
 Option = {help, string()} | {kind, WxItemKind} 
.br
 WxItemKind = integer() 
.br
 WxItemKind is one of ?wxITEM_SEPARATOR | ?wxITEM_NORMAL | ?wxITEM_CHECK | ?wxITEM_RADIO | ?wxITEM_MAX 
.RE
.LP
.B
append(This::wxMenu(), Itemid::integer(), Text::string(), X::string() | wxMenu(), X::bool() | term()) -> ok | wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuappend>\&. 
.br
 Alternatives: 
.LP
\fI append(This::wxMenu(), Itemid::integer(), Text::string(), Help::string(), IsCheckable::bool()) -> ok \fR 
.LP
\fI append(This::wxMenu(), Itemid::integer(), Text::string(), Submenu::wxMenu(), [Option]) -> wxMenuItem:wxMenuItem() \fR 
.br
 Option = {help, string()} 
.RE
.LP
.B
appendCheckItem(This::wxMenu(), Itemid::integer(), Text::string()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
Equivalent to appendCheckItem(This, Itemid, Text, [])\&.
.RE
.LP
.B
appendCheckItem(This::wxMenu(), Itemid::integer(), Text::string(), Options::[Option]) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.TP
Types
Option = {help, string()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuappendcheckitem>\&.
.RE
.LP
.B
appendRadioItem(This::wxMenu(), Itemid::integer(), Text::string()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
Equivalent to appendRadioItem(This, Itemid, Text, [])\&.
.RE
.LP
.B
appendRadioItem(This::wxMenu(), Itemid::integer(), Text::string(), Options::[Option]) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.TP
Types
Option = {help, string()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuappendradioitem>\&.
.RE
.LP
.B
appendSeparator(This::wxMenu()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuappendseparator>\&.
.RE
.LP
.B
break(This::wxMenu()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenubreak>\&.
.RE
.LP
.B
check(This::wxMenu(), Itemid::integer(), Check::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenucheck>\&.
.RE
.LP
.B
delete(This::wxMenu(), X::integer() | term()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenudelete>\&. 
.br
 Alternatives: 
.LP
\fI delete(This::wxMenu(), Itemid::integer()) -> bool() \fR 
.LP
\fI delete(This::wxMenu(), Item::wxMenuItem:wxMenuItem()) -> bool() \fR 
.RE
.LP
.B
Destroy(This::wxMenu(), X::integer() | term()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenudestroy>\&. 
.br
 Alternatives: 
.LP
\fI \&'Destroy\&'(This::wxMenu(), Itemid::integer()) -> bool() \fR 
.LP
\fI \&'Destroy\&'(This::wxMenu(), Item::wxMenuItem:wxMenuItem()) -> bool() \fR 
.RE
.LP
.B
enable(This::wxMenu(), Itemid::integer(), Enable::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuenable>\&.
.RE
.LP
.B
findItem(This::wxMenu(), X::integer() | string()) -> wxMenuItem() (see module wxMenuItem) | integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenufinditem>\&. 
.br
 Alternatives: 
.LP
\fI findItem(This::wxMenu(), Itemid::integer()) -> wxMenuItem:wxMenuItem() \fR 
.LP
\fI findItem(This::wxMenu(), Item::string()) -> integer() \fR 
.RE
.LP
.B
findItemByPosition(This::wxMenu(), Position::integer()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenufinditembyposition>\&.
.RE
.LP
.B
getHelpString(This::wxMenu(), Itemid::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenugethelpstring>\&.
.RE
.LP
.B
getLabel(This::wxMenu(), Itemid::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenugetlabel>\&.
.RE
.LP
.B
getMenuItemCount(This::wxMenu()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenugetmenuitemcount>\&.
.RE
.LP
.B
getMenuItems(This::wxMenu()) -> [wxMenuItem() (see module wxMenuItem)]
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenugetmenuitems>\&.
.RE
.LP
.B
getTitle(This::wxMenu()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenugettitle>\&.
.RE
.LP
.B
insert(This::wxMenu(), Pos::integer(), X::integer() | term()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuinsert>\&. 
.br
 Alternatives: 
.LP
\fI insert(This::wxMenu(), Pos::integer(), Itemid::integer()) -> insert(This, Pos, Itemid, []) \fR
.LP
\fI insert(This::wxMenu(), Pos::integer(), Item::wxMenuItem:wxMenuItem()) -> wxMenuItem:wxMenuItem() \fR 
.RE
.LP
.B
insert(This::wxMenu(), Pos::integer(), Itemid::integer(), Options::[Option]) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.TP
Types
Option = {text, string()} | {help, string()} | {kind, WxItemKind}
.br
WxItemKind = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuinsert>\&. 
.br
 WxItemKind is one of ?wxITEM_SEPARATOR | ?wxITEM_NORMAL | ?wxITEM_CHECK | ?wxITEM_RADIO | ?wxITEM_MAX
.RE
.LP
.B
insert(This::wxMenu(), Pos::integer(), Itemid::integer(), Text::string(), Submenu::wxMenu()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
Equivalent to insert(This, Pos, Itemid, Text, Submenu, [])\&.
.RE
.LP
.B
insert(This::wxMenu(), Pos::integer(), Itemid::integer(), Text::string(), X::string() | wxMenu(), X::bool() | term()) -> ok | wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuinsert>\&. 
.br
 Alternatives: 
.LP
\fI insert(This::wxMenu(), Pos::integer(), Itemid::integer(), Text::string(), Help::string(), IsCheckable::bool()) -> ok \fR 
.LP
\fI insert(This::wxMenu(), Pos::integer(), Itemid::integer(), Text::string(), Submenu::wxMenu(), [Option]) -> wxMenuItem:wxMenuItem() \fR 
.br
 Option = {help, string()} 
.RE
.LP
.B
insertCheckItem(This::wxMenu(), Pos::integer(), Itemid::integer(), Text::string()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
Equivalent to insertCheckItem(This, Pos, Itemid, Text, [])\&.
.RE
.LP
.B
insertCheckItem(This::wxMenu(), Pos::integer(), Itemid::integer(), Text::string(), Options::[Option]) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.TP
Types
Option = {help, string()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuinsertcheckitem>\&.
.RE
.LP
.B
insertRadioItem(This::wxMenu(), Pos::integer(), Itemid::integer(), Text::string()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
Equivalent to insertRadioItem(This, Pos, Itemid, Text, [])\&.
.RE
.LP
.B
insertRadioItem(This::wxMenu(), Pos::integer(), Itemid::integer(), Text::string(), Options::[Option]) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.TP
Types
Option = {help, string()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuinsertradioitem>\&.
.RE
.LP
.B
insertSeparator(This::wxMenu(), Pos::integer()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuinsertseparator>\&.
.RE
.LP
.B
isChecked(This::wxMenu(), Itemid::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuischecked>\&.
.RE
.LP
.B
isEnabled(This::wxMenu(), Itemid::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuisenabled>\&.
.RE
.LP
.B
prepend(This::wxMenu(), X::integer() | term()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuprepend>\&. 
.br
 Alternatives: 
.LP
\fI prepend(This::wxMenu(), Itemid::integer()) -> prepend(This, Itemid, []) \fR
.LP
\fI prepend(This::wxMenu(), Item::wxMenuItem:wxMenuItem()) -> wxMenuItem:wxMenuItem() \fR 
.RE
.LP
.B
prepend(This::wxMenu(), Itemid::integer(), Options::[Option]) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.TP
Types
Option = {text, string()} | {help, string()} | {kind, WxItemKind}
.br
WxItemKind = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuprepend>\&. 
.br
 WxItemKind is one of ?wxITEM_SEPARATOR | ?wxITEM_NORMAL | ?wxITEM_CHECK | ?wxITEM_RADIO | ?wxITEM_MAX
.RE
.LP
.B
prepend(This::wxMenu(), Itemid::integer(), Text::string(), Submenu::wxMenu()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
Equivalent to prepend(This, Itemid, Text, Submenu, [])\&.
.RE
.LP
.B
prepend(This::wxMenu(), Itemid::integer(), Text::string(), X::string() | wxMenu(), X::bool() | term()) -> ok | wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuprepend>\&. 
.br
 Alternatives: 
.LP
\fI prepend(This::wxMenu(), Itemid::integer(), Text::string(), Help::string(), IsCheckable::bool()) -> ok \fR 
.LP
\fI prepend(This::wxMenu(), Itemid::integer(), Text::string(), Submenu::wxMenu(), [Option]) -> wxMenuItem:wxMenuItem() \fR 
.br
 Option = {help, string()} 
.RE
.LP
.B
prependCheckItem(This::wxMenu(), Itemid::integer(), Text::string()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
Equivalent to prependCheckItem(This, Itemid, Text, [])\&.
.RE
.LP
.B
prependCheckItem(This::wxMenu(), Itemid::integer(), Text::string(), Options::[Option]) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.TP
Types
Option = {help, string()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuprependcheckitem>\&.
.RE
.LP
.B
prependRadioItem(This::wxMenu(), Itemid::integer(), Text::string()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
Equivalent to prependRadioItem(This, Itemid, Text, [])\&.
.RE
.LP
.B
prependRadioItem(This::wxMenu(), Itemid::integer(), Text::string(), Options::[Option]) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.TP
Types
Option = {help, string()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuprependradioitem>\&.
.RE
.LP
.B
prependSeparator(This::wxMenu()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuprependseparator>\&.
.RE
.LP
.B
remove(This::wxMenu(), X::integer() | term()) -> wxMenuItem() (see module wxMenuItem)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenuremove>\&. 
.br
 Alternatives: 
.LP
\fI remove(This::wxMenu(), Itemid::integer()) -> wxMenuItem:wxMenuItem() \fR 
.LP
\fI remove(This::wxMenu(), Item::wxMenuItem:wxMenuItem()) -> wxMenuItem:wxMenuItem() \fR 
.RE
.LP
.B
setHelpString(This::wxMenu(), Itemid::integer(), HelpString::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenusethelpstring>\&.
.RE
.LP
.B
setLabel(This::wxMenu(), Itemid::integer(), Label::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenusetlabel>\&.
.RE
.LP
.B
setTitle(This::wxMenu(), Title::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmenu\&.html#wxmenusettitle>\&.
.RE
.LP
.B
destroy(This::wxMenu()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
